/*
(C) ALVIDI 14.4.2011
 
Disclaimer
----------
Wir haften nicht fr die Eignung der Software fr einen bestimmten, vom Kunden beabsichtigten Verwendungszweck.
We are not liable for the problems, which occur during incorrect usage of our products.

Wir bernehmen keine Haftung fr die Fehler, die im Laufe der Nutzung auftreten knnen.
We don't take liability for mistakes, which may occur while using our products.

Wir bernehmen keine Verantwortung fr mgliche Schden, die bei der Nutzung des Programms entstehen knnen.
We don't take responsibility for possible damages, which may happen while using our products.

Dieses Programm ist freie Software. Sie knnen es verffentlichen, weitergeben und/oder modifizieren. 
This program is freeware. You may publish it, refer and/or modify.

Diese Software ist kompatibel mit dem AVR32 Board http://alvidi.de/avr32_board.html
This software is compatible with the AVR32 Board http://alvidi.de/avr32_board_en.html
*/

#include "led_func.h"
#include "gpio.h"
#include "uc3avrbit.h"


void LED_Off(U8 leds)
{
	switch (leds)
	{
	case LED0_GPIO:		gpio_set_gpio_pin(LED0_GPIO);
						break;
	case LED1_GPIO:		gpio_set_gpio_pin(LED1_GPIO);
						break;
	case LED2_GPIO:		gpio_set_gpio_pin(LED2_GPIO);
						break;
	case LED3_GPIO:		gpio_set_gpio_pin(LED3_GPIO);
						break;
	default:			break;
	}
}


void LED_On(U8 leds)
{

	switch (leds)
	{
	case LED0_GPIO:		gpio_clr_gpio_pin(LED0_GPIO);
						break;
	case LED1_GPIO:		gpio_clr_gpio_pin(LED1_GPIO);
						break;
	case LED2_GPIO:		gpio_clr_gpio_pin(LED2_GPIO);
						break;
	case LED3_GPIO:		gpio_clr_gpio_pin(LED3_GPIO);
						break;
	default:			break;
	}
}


void LED_Toggle(U8 leds)
{
	switch (leds)
	{
	case LED0_GPIO:		gpio_tgl_gpio_pin(LED0_GPIO);
						break;
	case LED1_GPIO:		gpio_tgl_gpio_pin(LED1_GPIO);
						break;
	case LED2_GPIO:		gpio_tgl_gpio_pin(LED2_GPIO);
						break;
	case LED3_GPIO:		gpio_tgl_gpio_pin(LED3_GPIO);
						break;
	default:			break;
	}
}

